unit uComExtra;
{
  COM interface definitions
  Copyright  1997 Run-Time Systems
  Public and commerical use is granted provided this header is not removed.
}
interface

uses  Windows
    ;

{ -- IObjectSafety
    interface required to support active scripting using VBScript
    or JScript
}
const
  INTERFACESAFE_FOR_UNTRUSTED_CALLER  = $00000001;  // Caller of interface may be untrusted
  INTERFACESAFE_FOR_UNTRUSTED_DATA    = $00000002;  // Data passed into interface may be untrusted

type
  IObjectSafety = interface( IUnknown )
    ['{CB5BDC81-93C1-11cf-8F20-00805F2CD064}']
    function  GetInterfaceSafetyOptions( const iid: TGUID;
                                         out dwSupportedOptions: DWord;
                                         out dwEnabledOptions: DWord ): HResult; stdcall;
    function  SetInterfaceSafetyOptions( const iid: TGUID;
                                         dwOptionSetMask: DWord;
                                         dwEnabledOptions: DWord ): HResult; stdcall;
    end;


implementation

end.
